package net.northking.cctp.scriptcase.dto.atuScript.atuScriptTag;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "脚本标签关系表")
public class AtuScriptTagDto implements Serializable {
    /**
     * 脚本ID<br>
     */
    @ApiModelProperty("脚本ID")
    @Size(max = 32, message="脚本ID-scriptId: 数据长度不能 > 32" )
    private String scriptId;
    /**
     * 标签ID列表<br>
     */
    @ApiModelProperty("标签ID列表")
    private List<TagInfoDto> tagIdList;

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public List<TagInfoDto> getTagIdList() {
        return tagIdList;
    }

    public void setTagIdList(List<TagInfoDto> tagIdList) {
        this.tagIdList = tagIdList;
    }
}
